Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 593087 - SELinux is preventing /usr/bin/tor "create" access .
Summary: SELinux is preventing /usr/bin/tor "create" access .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:836cbd427a6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 19:20 UTC by eric
Modified: 2010-05-28 18:02 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-21.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-28 18:02:08 UTC
Type: ---


Attachments (Terms of Use)

Description eric 2010-05-17 19:20:45 UTC
Summary:

SELinux is preventing /usr/bin/tor "create" access .

Detailed Description:

[tor has a permissive type (tor_t). This access was not denied.]

SELinux denied access requested by tor. It is not expected that this access is
required by tor and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:tor_t:s0
Target Context                unconfined_u:system_r:tor_t:s0
Target Objects                None [ unix_dgram_socket ]
Source                        tor
Source Path                   /usr/bin/tor
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           tor-core-0.2.1.24-1301.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-10.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.3-85.fc13.x86_64 #1 SMP Thu May 6 18:09:49
                              UTC 2010 x86_64 x86_64
Alert Count                   16
First Seen                    Mon 17 May 2010 03:19:05 PM EDT
Last Seen                     Mon 17 May 2010 03:19:48 PM EDT
Local ID                      8c3773ac-f968-4fde-8c36-658db097b447
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274123988.13:28318): avc:  denied  { create } for  pid=7636 comm="tor" scontext=unconfined_u:system_r:tor_t:s0 tcontext=unconfined_u:system_r:tor_t:s0 tclass=unix_dgram_socket

node=(removed) type=SYSCALL msg=audit(1274123988.13:28318): arch=c000003e syscall=41 success=yes exit=4294967424 a0=1 a1=80002 a2=0 a3=1 items=0 ppid=1 pid=7636 auid=500 uid=487 gid=473 euid=487 suid=487 fsuid=487 egid=473 sgid=473 fsgid=473 tty=(none) ses=1 comm="tor" exe="/usr/bin/tor" subj=unconfined_u:system_r:tor_t:s0 key=(null)



Hash String generated from  catchall,tor,tor_t,tor_t,unix_dgram_socket,create
audit2allow suggests:

#============= tor_t ==============
allow tor_t self:unix_dgram_socket create;

Comment 1 Daniel Walsh 2010-05-17 20:57:20 UTC
Fixed in selinux-policy-3.7.19-18.fc13.noarch

I think tor is attempting to send a syslog message.

Comment 2 eric 2010-05-17 21:06:38 UTC
Yeah, I think so as well.  Thank you!

Comment 3 Fedora Update System 2010-05-25 14:36:42 UTC
selinux-policy-3.7.19-21.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-21.fc13

Comment 4 Fedora Update System 2010-05-26 21:45:49 UTC
selinux-policy-3.7.19-21.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-21.fc13

Comment 5 Fedora Update System 2010-05-28 18:01:22 UTC
selinux-policy-3.7.19-21.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.